Bug 1426258 - Document and test procedure for running IdM Server in TLS 1.2+ environment
Summary: Document and test procedure for running IdM Server in TLS 1.2+ environment
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Scott Poore
URL:
Whiteboard:
Depends On: 1427041
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-23 14:33 UTC by Martin Kosek
Modified: 2017-10-02 12:15 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1367026
: 1427041 (view as bug list)
Environment:
Last Closed: 2017-08-01 09:44:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2304 normal SHIPPED_LIVE ipa bug fix and enhancement update 2017-08-01 12:41:35 UTC

Description Martin Kosek 2017-02-23 14:33:36 UTC
+++ This bug was initially created as a clone of Bug #1367026 +++

Description of problem:
Prepare, document and test a procedure for configuring IdM Server (FreeIPA) by enabling only ciphers TLS 1.2 or stronger.

This procedure will ensure that:
- all primary IdM components (ipa-server, 389-ds-base+openldap, pki-core+tomcat, httpd+mod_nss, krb5-server, sssd) support TLS 1.2 and can be configured to only support that cipher suite or stronger.
- Administrator has a procedure to strengthen IdM cipher suite in case a vulnerability similar to POODLE (IdM Bug 1154687) emerges and allowed ciphers become vulnerable.

[...]

--- Additional comment from Aneta Šteflová Petrová on 2017-02-23 03:50:44 EST ---

(In reply to Tomas Krizek from comment #19)
> 
> I'm not aware of any official RHEL 7 document describing how to configure
> TLS1.2+.

There isn't any document for RHEL 7. Do we need one?

--- Additional comment from Tomas Krizek on 2017-02-23 03:57:57 EST ---

(In reply to Aneta Šteflová Petrová from comment #20)
> There isn't any document for RHEL 7. Do we need one?

Since there are some differences in the configuration, I think we should have a guide for RHEL 7. From development perspective, it would be a minor effort - simply testing the steps mentioned above.

Comment 1 Martin Kosek 2017-02-23 14:37:50 UTC
This is the original documentation from RHEL-6.9:

~~~~
IdM servers can now be configured to require *TLS* 1.2 or better

Version 1.2 of the Transport Layer Security (TLS) protocol is considered significantly more secure than previous versions. This update enables you to configure your Identity Management (IdM) server to forbid communication using protocols that are less secure than *TLS* 1.2.

For details, see the following Red Hat Knowledgebase article: https://access.redhat.com/articles/2801181.
~~~~

We need similar documentation and steps for RHEL-7.x.

Comment 18 errata-xmlrpc 2017-08-01 09:44:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2304


Note You need to log in before you can comment on or make changes to this bug.